Ask Your Question
1

Hydro from Mac OS X Homebrew: sudo pip install -U empy fails

asked 2013-09-26 10:43:45 -0500

jaspritsgill gravatar image

updated 2014-01-28 17:18:04 -0500

ngrennan gravatar image

Hi Everyone! I am trying to install the Hydro in Mac OS X Lion 10.8.4 (about to update it to 10.8.5). I am stuck at the following command: ros_catkin_ws jasprit$ rosdep install --from-paths src --ignore-src --rosdistro hydro -y The error I get is in the terminal console text below:

Jasprits-MacBook-Pro:ros_catkin_ws jasprit$ rosdep install --from-paths src --ignore-src --rosdistro hydro -y executing command [sudo pip install -U empy]
Password:
Downloading/unpacking empy
Could not find a version that satisfies the requirement empy (from versions: latest, latest)
Cleaning up...
No distributions matching the version for empy
Storing complete log in /Users/jasprit/Library/Logs/pip.log
ERROR: the following rosdeps failed to install
pip: command [sudo pip install -U empy] failed**

I went to the Logs directory and checked the "pip.log" to understand what went wrong and here is what I get:


/usr/local/bin/pip run on Thu Sep 26 14:12:05 2013 Downloading/unpacking empy Getting page https: //pypi.python.org/simple/empy/
URLs to search for versions for empy:
https: //pypi.python.org/simple/empy/
Getting page http: //www.alcyone.com/software/empy/
Skipping page http: //www.alcyone.com/software/empy/empy-latest.tar.gz (from https: //pypi.python.org/simple/EmPy/) because of Content-Type: application/x-gzip
Analyzing links from page https: //pypi.python.org/simple/EmPy/
Skipping link http: //www.alcyone.com/software/empy/ (from https ://pypi.python.org/simple/EmPy/); not a file
Found link http: //www.alcyone.com/software/empy/empy-latest.tar.gz (from https: //pypi.python.org/simple/EmPy/), version: latest
Analyzing links from page http: //www.alcyone.com/software/empy/
Skipping link http: //www.alcyone.com/software/empy/index.html (from http: //www.alcyone.com/software/empy/); unknown archive format: .html
Skipping link http: //www.alcyone.com/software/empy/#index (from http: //www.alcyone.com/software/empy/); not a file
Skipping link http: //www.alcyone.com/software/empy/#refindex (from http: //www.alcyone.com/software/empy/); not a file
Found link http: //www.alcyone.com/software/empy/empy-latest.tar.gz (from http: //www.alcyone.com/software/empy/), version: latest
Skipping link http: //www.gnu.org/copyleft/lesser.html (from http ://www.alcyone.com/software/empy/); unknown archive format: .html
Skipping link mailto: empy-announce-list-subscribe@alcyone.com (from http: //www.alcyone.com/software/empy/); unknown archive format: .com
Skipping link mailto:empy-list-subscribe@alcyone.com (from http: //www.alcyone.com/software/empy/); unknown archive format: .com
Skipping link http: //www.alcyone.com/software/empy/#refname (from http: //www.alcyone.com/software/empy/); not a file
Skipping link http: //www.alcyone.com/software/empy/#refsub (from http: //www.alcyone.com/software/empy/); not a file
Skipping link http: //www.alcyone.com/software/empy/#refi (from http: //www.alcyone.com/software/empy/); not a file
Skipping link http: //www.alcyone.com/software/empy/#refcontinue (from http: //www.alcyone.com/software/empy/); not a file
Skipping link http: //www.alcyone.com/software/empy/#refbreak (from http: //www.alcyone.com/software/empy/); not a file
Skipping ... (more)

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2013-10-01 19:46:30 -0500

jaspritsgill gravatar image

I found a work around for this. I used "sudo easy_install empy" and Embedded Python was installed successfully. I was able to proceed with "rosdep install --from-paths src --ignore-src --rosdistro hydro -y" after that.

edit flag offensive delete link more

Comments

This should probably go in the installation page ... I got the same exact issue, thank you!

dmp gravatar image dmp  ( 2013-10-05 08:01:15 -0500 )edit

Thanks, that did the trick for me too. Any idea why pip fails?

jensenb gravatar image jensenb  ( 2013-11-12 09:15:09 -0500 )edit

From what I understand, pip tries to fetch the Embedded Python (EmPy) from the page: https: //pypi.python.org/simple/empy/. It finds file empy-latest.tar.gz but doesnt find a match. Probably a poor code for version check, in one of the script files, that fails after new version of empy was launched.

jaspritsgill gravatar image jaspritsgill  ( 2013-11-12 11:23:20 -0500 )edit

I should correct my previous statement. The easy_install command completed successfully, but it built and installed an egg package, which apparently is supported by catkin.

jensenb gravatar image jensenb  ( 2013-11-20 20:49:34 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-09-26 10:43:45 -0500

Seen: 620 times

Last updated: Oct 01 '13